import { AbstractSchema } from "./abstract.schema";

class AuthRegisterSchema extends AbstractSchema {
  constructor(schemas) {
    super(schemas);
  }
}
export const parentSchema = {
  email: "fran@gmail.com",
  password: "$2a$10$hgHW5uX/NPNrkezDk2Zg5eipKKBENRCpn75HdbzBc5pVYb.GGFVzS",
  store_id: "000111222333444555666777",
};
export const responseSchema = {
  email: "fran@gmail.com",
  password: "$2a$10$hgHW5uX/NPNrkezDk2Zg5eipKKBENRCpn75HdbzBc5pVYb.GGFVzS",
  store_id: "000111222333444555666777",
};

export const schema = new AuthRegisterSchema({ parentSchema, responseSchema });
